QGIS Application - Bug report #5609
Print composer probably generating pdf even if user canceled the file dialog
2012-05-16 01:44 PM - Wojciech Jurkowlaniec

Status: Closed

Priority: Low

Assignee:

Category:

Affected QGIS version:1.7.4 Regression?: No
Operating System: Linux/Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 15182
Description

Steps to reproduce:
1. Open some big project - it's necessary to see the time difference, don't check this if output pdf can be generated in less than 5s
2. Open print composer
3. Click "Export as PDF"
4. On file dialog, choose cancel it should freeze for some time
5. Measure the time difference between clicking save and clicking cancel, it's almost equal. It can mean the pdf generating is being
actually done, but not saved anywhere because no file have been chosen.

So my suggestion (if the observation is correct) to first check if user actually chosen the file, than generate the file to save.

the version is 1.7.5, not 1.7.4, not on the list in Redmine
GDAL/OGR: 1.7.3

QWT:5.2.2

Qt4.8.1

History

#1 - 2012-09-04 12:09 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#2 - 2013-09-22 03:17 AM - Giovanni Manghi
- Resolution set to worksforme

- Status changed from Open to Closed

works as expected here, at least on qgis 2.0
